Guest Purchases

Create Guest Purchase

post
/events/{event}/guests

Creates a guest purchase for the specified event.

Authorizations
AuthorizationstringRequired

OAuth2 Bearer token authentication. Requires event contribute permissions.

See Tonic Authentication Documentation for details on obtaining tokens.

Path parameters
eventstringRequired

Event ID

Example: 60001c4569308525d873cbd7Pattern: ^[a-f0-9]{24}$
Header parameters
authorizationstringRequired

Contains bearer followed by bearer token

Body
occurrencestringRequired

Event occurrence date in YYYYMMDD format

Example: 20251225Pattern: ^\d{8}$
sourcestringOptional

Purchase source identifier. Should be set to partner

Example: designmynight-ticket-scanner
partner_sourcestring · max: 255Optional

Optional field identifying the third-party channel. This field is independent of the source field and is used for tracking purposes.

Example: ThirdParty
Responses
post
/events/{event}/guests

Last updated

Was this helpful?